Skip to content

Get a service by ID.

GET
/service/{service_id}
curl --request GET \
--url https://api.siteqwality.com/service/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
service_id
required
string format: uuid

Service identifier

Service

Media type application/json
object
id
required
string format: uuid
name
required
string
description
string | null
escalation_policy_id
string | null format: uuid
incident_creation_mode
required
string
Allowed values: auto auto_with_confirmation manual
incident_merge_window_minutes
required
integer format: int32
auto_publish_to_status_page_id
string | null format: uuid
default_incident_severity
required
string
Allowed values: minor major critical
created_at
required
string format: date-time
monitor_count
integer format: int64
Example
{
"incident_creation_mode": "auto",
"default_incident_severity": "minor"
}

Missing or invalid authentication

Service not found

Internal server error